 /************************************************************************//**
 *
 * @file    c17_remc3_1.h
 *
 * @brief   This is REMC3 driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_REMC3_H__
#define C17_REMC3_H__

#include <c17_mcu_select.h>

/* --- definition --- */
/// REMC Format
enum
{
	C17_REMC_FORMAT_NEC,			/// NEC
	C17_REMC_FORMAT_AEHA,			/// AEHA
	C17_REMC_FORMAT_SONY			/// SONY
};

/// REMO output polarity
enum
{
	C17_REMC_REMO_POL_NONINV,			/// REMO output Non-inverted.
	C17_REMC_REMO_POL_INV				/// REMO output inverted.
};

typedef struct st_remc_param {
	unsigned short remcFormat;
	unsigned short subcreer;
	unsigned short t;
	unsigned short leader_h;
	unsigned short leader_l;
	unsigned short bit0_h;
	unsigned short bit0_l;
	unsigned short bit1_h;
	unsigned short bit1_l;
} ST_REMC_PARAM;

/* --- external declaration --- */
extern void c17intRemc(void)__attribute__ ((interrupt_handler));

extern void c17initRemc(void);
extern void c17enableRemc(void);
extern void c17disableRemc(void);
extern void c17enableIntRemc(void);
extern void c17disableIntRemc(void);
extern void c17setCarrierRemc(unsigned short remcCarr,unsigned short remcDuty);
extern void c17setRemoPolRemc(unsigned short remoPol);
extern void c17startRemc(unsigned short remcAplen, unsigned short remcDblen);
extern void c17stopRemc(void);
extern void c17sendRemc(const unsigned char* remcData,unsigned char remcLen);
extern int c17sendRemcDataWait(void);
extern void c17setFormatRemc(unsigned short remcFormat);
extern void c17setFormatRemcDirect(const ST_REMC_PARAM *param);

#endif	// C17_REMC3_H__

