/************************************************************************//**
 *
 * @file    c17_svd3_1.h
 *
 * @brief   This is SVD3 header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_SVD3_H__
#define C17_SVD3_H__

#include <c17_mcu_select.h>

/* --- definition --- */
enum
{
	C17_SVD_IOSC,				///< SVD  Source = IOSC
	C17_SVD_OSC1,				///< SVD  Source = OSC1
	C17_SVD_OSC3,				///< SVD  Source = OSC3
	C17_SVD_EXT					///< SVD  Source = External
};

enum
{
	C17_SVD_CLKDIV_16,			///< SVD clock division = 1/16
	C17_SVD_CLKDIV_32,			///< SVD clock division = 1/32
	C17_SVD_CLKDIV_64,			///< SVD clock division = 1/64
	C17_SVD_CLKDIV_128,			///< SVD clock division = 1/128
	C17_SVD_CLKDIV_256,			///< SVD clock division = 1/256
	C17_SVD_CLKDIV_512,			///< SVD clock division = 1/512
};

enum
{
	C17_SVD_SUPPLY_HIGH,		///< Power supply voltage(VDD or EXSVD) >=  comparison voltage.
	C17_SVD_SUPPLY_LOW			///< Power supply voltage(VDD or EXSVD) <  comparison voltage.
};

// Comparison voltage for detecting low voltage
enum
{
	C17_SVDC_1800MV = 4,		///< Comparison voltage.
	C17_SVDC_2000MV,			///< Comparison voltage.
	C17_SVDC_2100MV,			///< Comparison voltage.
	C17_SVDC_2200MV,			///< Comparison voltage.
	C17_SVDC_2300MV,			///< Comparison voltage.
	C17_SVDC_2400MV,			///< Comparison voltage.
	C17_SVDC_2500MV,			///< Comparison voltage.
	C17_SVDC_2600MV,			///< Comparison voltage.
	C17_SVDC_2700MV,			///< Comparison voltage.
	C17_SVDC_2800MV,			///< Comparison voltage.
	C17_SVDC_2900MV,			///< Comparison voltage.
	C17_SVDC_3000MV,			///< Comparison voltage.
	C17_SVDC_3100MV,			///< Comparison voltage.
	C17_SVDC_3200MV,			///< Comparison voltage.
	C17_SVDC_3300MV,			///< Comparison voltage.
	C17_SVDC_3500MV,			///< Comparison voltage.
	C17_SVDC_3600MV,			///< Comparison voltage.
	C17_SVDC_3800MV,			///< Comparison voltage.
	C17_SVDC_4000MV,			///< Comparison voltage.
	C17_SVDC_4100MV,			///< Comparison voltage.
	C17_SVDC_4200MV,			///< Comparison voltage.
	C17_SVDC_4300MV,			///< Comparison voltage.
	C17_SVDC_4500MV,			///< Comparison voltage.
	C17_SVDC_4600MV,			///< Comparison voltage.
	C17_SVDC_4700MV,			///< Comparison voltage.
	C17_SVDC_4800MV,			///< Comparison voltage.
	C17_SVDC_4900MV,			///< Comparison voltage.
	C17_SVDC_5000MV				///< Comparison voltage.
};

/* --- external declaration --- */
extern void c17intSvd(void)	__attribute__ ((interrupt_handler));

extern void c17initSvd(void);
extern void c17startSvd(void);
extern void c17stopSvd(void);
extern void c17setSvdComparisonVoltage(unsigned short svdVolt);
extern unsigned short c17getSvdVoltageDetection(void);

#endif	// C17_SVD3_H__

