/************************************************************************//**
 *
 * @file    mid_accode.h
 *
 * @brief   This is header file of IR remote control code transmission interface for the A/C.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/

#ifndef MID_ACCODE_H_
#define MID_ACCODE_H_
#include "main_config.h"


/* --- structure --- */
typedef union remac_ircode_s
{
	unsigned char code[19];
	struct {
		unsigned char code1;
		unsigned char code2;

		unsigned char code3;
		unsigned char code4;

		unsigned char code5;

		unsigned char acOnOff:1;		//code6
		unsigned char onTimerEnable:1;
		unsigned char offTimerEnable:1;
		unsigned char timerPad1:1;
		unsigned char Mode:4;

		unsigned char tempriture;	//code 7

		unsigned char code8;
		unsigned char windVert:4;	//code9
		unsigned char windFan:4;
		unsigned char windHori:4;	//code10
		unsigned char windPad:4;
		unsigned char onTimerL:4;	//code11
		unsigned char onTimerM:4;

		unsigned char onTimerH:4;	//code12
		unsigned char offTimerL:4;
		unsigned char offTimerM:4;	//code13
		unsigned char offTimerH:4;
		unsigned char code14;
		unsigned char code15;
		unsigned char code16;
		unsigned char timeL:4;		//code17
		unsigned char timeM:4;

		unsigned char timeH:4;		//code18
		unsigned char code18:4;
		unsigned char bcc;			//code19
	}field;
}REMAC_IRCODE_S;

/* --- external declaration --- */
extern void mid_initAcCode(REMAC_IRCODE_S *pIrCode);
extern void mid_convAcCode(REMAC_IRCODE_S *pIrCode, const ACC_AC_SETTINGS_S *pAcSettings);

#endif /* MID_ACCODE_H_ */
