/************************************************************************//*
 *
 * @file    mid_dipsw.h
 *
 * @brief   This is dip switch input interface header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MID_DIPSW_H_
#define MID_DIPSW_H_

/* --- definition --- */
#define DIPSW_BIT_SW1	0x8		/* Bit position for DIP SW1 */
#define DIPSW_BIT_SW2	0x4		/* Bit position for DIP SW2 */
#define DIPSW_BIT_SW3	0x2		/* Bit position for DIP SW3 */
#define DIPSW_BIT_SW4	0x1		/* Bit position for DIP SW4 */

/* --- external declaration --- */
extern void mid_initDipSw(void);
extern void mid_onDipSw(void);
extern void mid_offDipSw(void);
extern unsigned char mid_getDipSwState(void);

#endif /* MID_DIPSW_H_ */
