/************************************************************************//**
 *
 * @file    mid_remsnd.h
 *
 * @brief   This is IR remote control code transmission interface header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MID_REMSND_H_
#define MID_REMSND_H_

/**
 * Internal definition macro
 * Do not change.
 */
#define REMSND_SENDBUF_COUNT		2
#define REMSND_PRECEDE_MAX		19

/* --- external declaration --- */
extern void mid_initRemSnd(void);
extern void mid_onRemSnd(void);
extern void mid_offRemSnd(void);
extern int mid_reqRemSndIrSendCode(int repcnt, const unsigned char *pcode, unsigned short length);
extern int mid_chkRemSndIrSendState(void);
extern int mid_setRemSndPreciedCode(const unsigned char *pcode, int length);
extern unsigned char mid_calcRemSndBcc(unsigned char *pdata, int length);
extern unsigned char mid_calcRemSndSum(unsigned char *pdata, int length);

#endif /* MID_REMSND_H_ */
