/************************************************************************//**
 *
 * @file    util.h
 *
 * @brief   This is utility function header file.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2018. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 16 Mar. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/

#ifndef UTIL_H_
#define UTIL_H_

/* --- definition --- */
enum
{
	UTIL_WRAP_DISABLE,
	UTIL_WRAP_ENABLE
};

/* --- external declaration --- */
extern int util_upDnUShortVal(int isUp, unsigned short *pnumVal, unsigned short numMin, unsigned short numMax, int wrap);
extern int util_upDnHour(int isUp, unsigned short *pnumHour);
extern int util_upDnMinute(int isUp, unsigned short *pnumMinute);
extern int util_incUShortVal(unsigned short *pnumVal, unsigned short numMin, unsigned short numMax, int wrap);
extern int util_decUShortVal(unsigned short *pnumVal, unsigned short numMin, unsigned short numMax, int wrap);
extern unsigned short util_getDaysOfMonth(unsigned short numYear, unsigned short numMonth);
extern unsigned short util_getWeek(unsigned short numYear, unsigned short numMonth, unsigned short numDay);
extern unsigned short util_TimeToSerial(unsigned short rtcMode, unsigned short amPm, unsigned short numHour, unsigned short numMinute);
extern unsigned short util_convUShortNumToBcd(unsigned short numVal);
extern unsigned short util_convUShortBcdToNum(unsigned short bcdVal);
extern void util_bcdTo2DigitStr(char *pbuf, unsigned short bcdNum, char upChar);
extern void util_decTo2DigitStr(char *pbuf, unsigned short decNum, char upChar);
extern void util_decTo3DigitStr(char *pbuf, unsigned short decNum, char upChar);
extern void util_hexTo2DigitStr(char *pbuf, unsigned short hexNum, char upChar);
extern char util_HexToChar(unsigned char num);
extern unsigned short util_convC2F(unsigned short cel);

#endif /* UTIL_H_ */
